Package org.opensaml.xmlsec

# Class SecurityConfigurationSupport

java.lang.Object
org.opensaml.xmlsec.SecurityConfigurationSupport

public final class SecurityConfigurationSupport extends Object
Helper methods for working with security configuration.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SecurityConfigurationSupport()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static DecryptionConfiguration`
`ensureGlobalDecryptionConfiguration()`
Get the global `DecryptionConfiguration` instance, raising an exception if absent.
`static EncryptionConfiguration`
`ensureGlobalEncryptionConfiguration()`
Get the global `EncryptionConfiguration` instance, raising an exception if absent.
`static SignatureSigningConfiguration`
`ensureGlobalSignatureSigningConfiguration()`
Get the global `SignatureSigningConfiguration` instance, raising an exception if absent.
`static SignatureValidationConfiguration`
`ensureGlobalSignatureValidationConfiguration()`
Get the global `SignatureValidationConfiguration` instance, raising an exception if absent.
`static DecryptionConfiguration`
`getGlobalDecryptionConfiguration()`
Get the global `DecryptionConfiguration` instance.
`static EncryptionConfiguration`
`getGlobalEncryptionConfiguration()`
Get the global `EncryptionConfiguration` instance.
`static SignatureSigningConfiguration`
`getGlobalSignatureSigningConfiguration()`
Get the global `SignatureSigningConfiguration` instance.
`static SignatureValidationConfiguration`
`getGlobalSignatureValidationConfiguration()`
Get the global `SignatureValidationConfiguration` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecurityConfigurationSupport

private SecurityConfigurationSupport()
Constructor.

## Method Details

### getGlobalDecryptionConfiguration

@Nullable public static DecryptionConfiguration getGlobalDecryptionConfiguration()
Get the global `DecryptionConfiguration` instance.

Returns:
  the global decryption configuration

### ensureGlobalDecryptionConfiguration

@Nonnull public static DecryptionConfiguration ensureGlobalDecryptionConfiguration()
Get the global `DecryptionConfiguration` instance, raising an exception if absent.

Returns:
  the global decryption configuration
Since:
  5.0.0

### getGlobalEncryptionConfiguration

@Nullable public static EncryptionConfiguration getGlobalEncryptionConfiguration()
Get the global `EncryptionConfiguration` instance.

Returns:
  the global encryption configuration

### ensureGlobalEncryptionConfiguration

@Nonnull public static EncryptionConfiguration ensureGlobalEncryptionConfiguration()
Get the global `EncryptionConfiguration` instance, raising an exception if absent.

Returns:
  the global encryption configuration
Since:
  5.0.0

### getGlobalSignatureSigningConfiguration

@Nullable public static SignatureSigningConfiguration getGlobalSignatureSigningConfiguration()
Get the global `SignatureSigningConfiguration` instance.

Returns:
  the global signature signing configuration

### ensureGlobalSignatureSigningConfiguration

@Nonnull public static SignatureSigningConfiguration ensureGlobalSignatureSigningConfiguration()
Get the global `SignatureSigningConfiguration` instance, raising an exception if absent.

Returns:
  the global signature signing configuration
Since:
  5.0.0

### getGlobalSignatureValidationConfiguration

@Nullable public static SignatureValidationConfiguration getGlobalSignatureValidationConfiguration()
Get the global `SignatureValidationConfiguration` instance.

Returns:
  the global signature validation configuration

### ensureGlobalSignatureValidationConfiguration

@Nonnull public static SignatureValidationConfiguration ensureGlobalSignatureValidationConfiguration()
Get the global `SignatureValidationConfiguration` instance, raising an exception if absent.

Returns:
  the global signature validation configuration
Since:
  5.0.0